> ## Documentation Index
> Fetch the complete documentation index at: https://docs.abbyy.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Gets the detailed information about a skill



## OpenAPI

````yaml /openapi.json get /api/publicapi/v1/skills/{skillId}
openapi: 3.0.4
info:
  title: Vantage processing REST API
  description: 'Environment: Production<br>Product Version: 1.6.17'
  version: '1.0'
  x-application-version: 1.6.17
servers:
  - url: https://vantage-us.abbyy.com
    description: Production United States
  - url: https://vantage-eu.abbyy.com
    description: Production Europe
  - url: https://vantage-au.abbyy.com
    description: Production Australia
security:
  - OAuth2Security:
      - global.wildcard
      - openid
      - permissions
paths:
  /api/publicapi/v1/skills/{skillId}:
    get:
      tags:
        - Skills
      summary: Gets the detailed information about a skill
      operationId: GetSkillInfo
      parameters:
        - name: skillId
          in: path
          description: Skill identifier. You can find it in the list of all skills.
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Skill info is successfully returned
          content:
            text/plain:
              schema:
                $ref: >-
                  #/components/schemas/Abbyy.Vantage.PublicApi.Contract.Skills.Results.SkillDto
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Abbyy.Vantage.PublicApi.Contract.Skills.Results.SkillDto
            text/json:
              schema:
                $ref: >-
                  #/components/schemas/Abbyy.Vantage.PublicApi.Contract.Skills.Results.SkillDto
        '404':
          description: Skill not found
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails'
            application/json:
              schema:
                $ref: '#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails'
            text/json:
              schema:
                $ref: '#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails'
components:
  schemas:
    Abbyy.Vantage.PublicApi.Contract.Skills.Results.SkillDto:
      type: object
      properties:
        id:
          type: string
          description: Id of the skill
          nullable: true
        name:
          type: string
          description: Name of the skill
          nullable: true
        type:
          $ref: >-
            #/components/schemas/Abbyy.Vantage.PublicApi.Contract.Skills.SkillType
        fields:
          type: array
          items:
            $ref: >-
              #/components/schemas/Abbyy.Vantage.PublicApi.Contract.Skills.Results.FieldDto
          description: For document skills.
          nullable: true
        classes:
          type: array
          items:
            $ref: >-
              #/components/schemas/Abbyy.Vantage.PublicApi.Contract.Skills.Results.SkillClassDto
          description: For classification skills.
          nullable: true
        skills:
          type: array
          items:
            $ref: >-
              #/components/schemas/Abbyy.Vantage.PublicApi.Contract.Skills.Results.InnerSkillDto
          nullable: true
      additionalProperties: false
    Microsoft.AspNetCore.Mvc.ProblemDetails:
      type: object
      properties:
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: string
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
      additionalProperties: {}
    Abbyy.Vantage.PublicApi.Contract.Skills.SkillType:
      enum:
        - Classification
        - Document
        - Process
        - Ocr
        - Assembling
      type: string
    Abbyy.Vantage.PublicApi.Contract.Skills.Results.FieldDto:
      type: object
      properties:
        name:
          type: string
          nullable: true
        type:
          type: string
          nullable: true
        textFormat:
          type: string
          description: Required if Type=Text
          nullable: true
        isRepeatable:
          type: string
          nullable: true
        children:
          type: array
          items:
            $ref: >-
              #/components/schemas/Abbyy.Vantage.PublicApi.Contract.Skills.Results.FieldDto
          nullable: true
      additionalProperties: false
    Abbyy.Vantage.PublicApi.Contract.Skills.Results.SkillClassDto:
      type: object
      properties:
        id:
          type: string
          nullable: true
        name:
          type: string
          nullable: true
      additionalProperties: false
    Abbyy.Vantage.PublicApi.Contract.Skills.Results.InnerSkillDto:
      type: object
      properties:
        id:
          type: string
          nullable: true
      additionalProperties: false
  securitySchemes:
    OAuth2Security:
      type: oauth2
      flows:
        authorizationCode:
          authorizationUrl: https://vantage-preview.abbyy.com/auth2/connect/authorize
          tokenUrl: https://vantage-preview.abbyy.com/auth2/connect/token
          scopes:
            global.wildcard: Global wildcard
            openid: User Id
            permissions: User permissions

````